toolzerhub API Docs

Search Instagram reels by keyword

Returns public Instagram reels that match keyword in reels_serp_modules. Pass reels_max_id from the previous response for the next page.

2 credits / requestBilled only on success
GET
/v2/instagram/search/reels

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

keyword*string

Search keyword. Include hashtags by prefixing them with #.

Length1 <= length
reels_max_id?string

Pass the previous response's reels_max_id value.

curl -X GET "https://example.com/v2/instagram/search/reels?keyword=japan" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "reels_serp_modules": [      {        "property1": null,        "property2": null      }    ],    "has_more": true,    "reels_max_id": "string",    "rank_token": "string",    "property1": null,    "property2": null  }}